/*
 * ADC_functions.h
 *
 *  Created on: 26.jun.2009
 *      Author: Stian O. Moen
 */

#ifndef ADC_FUNCTIONS_H_
#define ADC_FUNCTIONS_H_

#include "config.h"
#include "dsp.h"

#define ENABLE_ADC_INTERRUPT() 	adc->IER.drdy = 1;
#define DISABLE_ADC_INTERRUPT() adc->IER.drdy = 0;


//Prototypes
void init_ADC(void);
signed short get_signal_sample(void);
signed short get_signal_level(void);

extern A_ALIGNED dsp16_t sample[];
extern volatile signed int sample_nr;
extern volatile char sample_flag;

#endif /* ADC_FUNCTIONS_H_ */
