/*
 * DSP_functions.h
 *
 *  Created on: 28.jun.2009
 *      Author: Stian O. Moen
 */

#ifndef DSP_FUNCTIONS_H_
#define DSP_FUNCTIONS_H_

#include "dsp.h"

//needed for FFT routine
#define NLOG 6

#define SIZE	NUMBER_OF_SAMPLES

//The struct is used to specify a frequency with an assosiated power
typedef struct FreqPower{
	unsigned short freq;
	unsigned short power;
} FreqPower_t;


extern A_ALIGNED dsp16_t dc_offset;


FreqPower_t find_dominating_frequency(dsp16_complex_t *complex_vector);
FreqPower_t check_signal(void);


#endif /* DSP_FUNCTIONS_H_ */
