/*
 * RTC_functions.h
 *
 *  Created on: 02.jul.2009
 *      Author: Stian O. Moen
 */

#ifndef RTC_FUNCTIONS_H_
#define RTC_FUNCTIONS_H_

#include "compiler.h"

typedef struct time_variable {
volatile short millisec;
volatile U8 sec;
volatile U8 min;
volatile U8 hour;
volatile short day;
} time_variable_t;


//prototypes
void init_RTC(void);
time_variable_t get_time(void);
time_variable_t calculate_time_diff(time_variable_t t1, time_variable_t t2);

#endif /* RTC_FUNCTIONS_H_ */
