/*
FILE:			clock.h
PROJECT:		Telemetry Buoy project
DESCRIPTION:	Functions for changing system or timer clock source and prescaling
DATE:			17.06.09
AUTHOR:			Stian O. Moen
*/


#ifndef clock_h
#define clock_h

#include "config.h"
#include "pm.h"
#include "gpio.h"
#include "flashc.h"

#  define EXAMPLE_GCLK_ID             2
#  define EXAMPLE_GCLK_PIN            AVR32_PM_GCLK_2_PIN
#  define EXAMPLE_GCLK_FUNCTION       AVR32_PM_GCLK_2_FUNCTION
#  define FOSC0	12000000

void init_clock( void );
void local_start_pll0(volatile avr32_pm_t* pm);
#endif
