/*
FILE:			USART_functions.h
PROJECT:		Telemetry Buoy project
DESCRIPTION:	Includes functions for debug-output as well as output of data
DATE:			17.06.09
AUTHOR:			Stian O. Moen
*/

#ifndef USART_funtions_h
#define USART_funtions_h


#include <avr32/io.h>
#include "compiler.h"
#include "pm.h"
#include "gpio.h"
#include "usart.h"
#include "config.h"
#include "stdio.h"


//Prototypes
void init_USART(void);
void write_character( char c );

#endif
